# Created by pyp2rpm-3.3.5
%global pypi_name ijson

Name:           python-%{pypi_name}
Version:        3.1.4
Release:        1%{?dist}
Summary:        Iterative JSON parser with standard Python iterator interfaces

License:        BSD
URL:            https://github.com/ICRAR/ijson
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

BuildRequires:   yajl
BuildRequires:  yajl-devel

BuildRequires:  python3-tox
BuildRequires:  python3-cffi
BuildRequires:  python3-pytest-cov

%description
 .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 .. image::


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
tox -e py3 --sitepackages
#{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon May 24 2021 Alexander Manning <mail@alex-m.co.uk> - 3.1.4-1
- Initial package.
